import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type ClaimPropertyTokenParams = {
    accounts: {
        user: PublicKey;
        propertyState: PublicKey;
        propertyMintAccount: PublicKey;
        userPropertyTokenAccount: PublicKey;
        propertyVaultTokenAccount: PublicKey;
        lockerAccount: PublicKey;
    };
    inputs: {};
};
export declare function claimPropertyToken(program: Program<PropeasyProgram>, params: ClaimPropertyTokenParams): Promise<Instruction>;
