import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type GrantBurnRoleParams = {
    accounts: {
        admin: PublicKey;
        platformState: PublicKey;
        userBurnRoleState: PublicKey;
        user: PublicKey;
    };
    inputs: {};
};
export declare function grantBurnRole(program: Program<PropeasyProgram>, params: GrantBurnRoleParams): Promise<Instruction>;
